umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_constraintlistpage.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/dialogs/pages/constraintlistpage.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_ConstraintListPage_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_ConstraintListPage_t | qt_meta_stringdata_ConstraintListPage
static const uint | qt_meta_data_ConstraintListPage []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_ConstraintListPage_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)

## Variable Documentation

## ◆ qt_meta_data_ConstraintListPage

const uint qt_meta_data_ConstraintListPage[]
| static

Initial value:
= {
8,
0,
0, 0,
5, 14,
0, 0,
0, 0,
0, 0,
0,
0,
1, 0, 39, 2, 0x08 ,
3, 0, 40, 2, 0x08 ,
4, 0, 41, 2, 0x08 ,
5, 0, 42, 2, 0x08 ,
6, 0, 43, 2, 0x08 ,
QMetaType::Void,
QMetaType::Void,
QMetaType::Void,
QMetaType::Void,
0x80000000 | 7,
0
}

## ◆ qt_meta_stringdata_ConstraintListPage

const qt_meta_stringdata_ConstraintListPage_t qt_meta_stringdata_ConstraintListPage
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 18),
QT_MOC_LITERAL(1, 19, 23),
QT_MOC_LITERAL(2, 43, 0),
QT_MOC_LITERAL(3, 44, 27),
QT_MOC_LITERAL(4, 72, 27),
QT_MOC_LITERAL(5, 100, 22),
QT_MOC_LITERAL(6, 123, 11),
QT_MOC_LITERAL(7, 135, 25)
},
"ConstraintListPage\0slotNewUniqueConstraint\0"
"\0slotNewPrimaryKeyConstraint\0"
"slotNewForeignKeyConstraint\0"
"slotNewCheckConstraint\0getItemList\0"
"UMLClassifierListItemList"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_constraintlistpage.cpp:28
qt_meta_stringdata_ConstraintListPage_t
Definition: moc_constraintlistpage.cpp:24